Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002614 [JEDI VCL] 00 JVCL Components minor always 2005-02-09 12:24 2005-02-19 06:30
Reporter westphal View Status public  
Assigned To user72
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002614: problem with empty subtitle text in TJvWizardCustomPage
Description if subtitle (and i think tile) text in TJvWizardWelcomePage or TJvWizardInteriorPage is set to an empty string:

The text "subtitle" comme back at run time.

If i close the project and then reopen it, again the text subtitle comme back.

It seem to me that it is a problem with the definition of the property, but i am not an expert with thoses:

property Subtitle: TJvWizardPageTitle read GetSubtitle write SetSubtitle stored False;

maybe "stored False" is not the right way ?
Additional Information
Tags No tags attached.
Attached Files zip file icon JvWizard050214.zip [^] (21,615 bytes) 2005-02-14 12:51

- Relationships

-  Notes
(0006444)
westphal (reporter)
2005-02-09 12:27

a way to bypass this problem is to set the text to a single space and not to an empty string
(0006495)
user72
2005-02-14 12:50
edited on: 2005-02-14 12:50

The page's Title and Subtitle properties are actually only aliases for Header.Title and Header.Subtitle, so they need not be stored.

It seems the problem lies with the missing setters for Title and SubTitle. Please try the attached unit

(0006528)
user72
2005-02-19 06:30

Proposed fix is now in CVS

- Issue History
Date Modified Username Field Change
2005-02-09 12:24 westphal New Issue
2005-02-09 12:27 westphal Note Added: 0006444
2005-02-14 12:50 user72 Note Added: 0006495
2005-02-14 12:50 user72 Status new => feedback
2005-02-14 12:50 user72 Note Edited: 0006495
2005-02-14 12:51 user72 File Added: JvWizard050214.zip
2005-02-19 06:30 user72 Status feedback => resolved
2005-02-19 06:30 user72 Resolution open => fixed
2005-02-19 06:30 user72 Assigned To => user72
2005-02-19 06:30 user72 Note Added: 0006528


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker